Skip to main content
GET
/
v1
/
chat
/
messages
cURL
curl --request GET \
  --url https://api.botpress.cloud/v1/chat/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'x-bot-id: <x-bot-id>'
{
  "messages": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "type": "<string>",
      "payload": {},
      "direction": "incoming",
      "userId": "<string>",
      "conversationId": "<string>",
      "tags": {},
      "origin": "synthetic"
    }
  ],
  "meta": {
    "nextToken": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-bot-id
string
required

Bot id

x-integration-id
string

Integration id

x-integration-alias
string

Integration alias

Query Parameters

nextToken
string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

conversationId
string

Conversation id

tags
object

Filter by tags

Response

Returns a list of Message objects.

messages
object[]
required
meta
object
required